/*
                               Printing

	For use in conjunction with the ImgView (see imgview.h).
 */

#ifndef PRINT_H
#define PRINT_H


#include <gtk/gtk.h>
#include "imgview.h"
#include "printopts.h"


extern gint iv_print(
	const imgview_image_struct *img,	/* Image to print */
	const print_values_struct *pv,		/* Print values */
	const guint8 *bg_color,			/* 4 bytes RGBA */
	GtkWidget *toplevel
);


#endif	/* PRINT_H */
